### Property

# Gtk WindowControls:use-native-controls

since: 4.18

#### Declaration

    property use-native-controls: gboolean [ read, write ]

#### Description [src]

Whether to show platform native close/minimize/maximize buttons.

For macOS, the `GtkHeaderBar:decoration-layout` property controls the use of native window controls.

On other platforms, this option has no effect.

See also Using GTK on Apple macOS.

Type:`gboolean`

Available since: 4.18

Default value | FALSE
Getter method | `gtk_window_controls_get_use_native_controls()`
Setter method | `gtk_window_controls_set_use_native_controls()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no